Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Nov 2021 03:52:39 +0100

Eli Zaretskii <[email-masked]> writes:

> I did write it, that's bidi-find-overridden-directionality, which we
> have since Emacs 25.  That is what I meant by "detecting the
> reordering".

Ah, right.  

> We could add that to core, but currently uni-confusables just gives
> you a char-table which Lisp programs can use to find out whether a
> given character is a potential confusable.  We need applications
> layers above that, ideally implementing at least part of the
> recommendations in Unicode's UTS #39
> (https://www.unicode.org/reports/tr39/).

It's great to see that somebody's already done the hard work -- now we
just have to implement it.  😅

> We should probably first discuss what we want to implement from there,
> though.  How about chiming in to emacs-devel thread "Unicode
> confusables considered harmful", where Vasilij Schneidermann already
> asked what we think should be done about these cases?

I'm not sure that'd be productive.  I think Somebody just has to write a
library that exposes the various levels/profiles as defined by TR39, and
then we should sprinkle libraries that deal with these issues (url.el,
smtpmail.el, message.el) with calls to that library, much along the same
lines as the NSM is consulted about network connections.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no